Subject: bug#48383: [native-compile] Debugging external package powerline.el

From: Andrea Corallo <[email-masked]>
Date: Wed, 12 May 2021 19:49:20 +0000

Arash Esbati <[email-masked]> writes:

> Hi all,
>
> I have successfully built Emacs with native-compile support on Win10[1]
> and it works fine -- many thanks for this.
>
> I've also installed powerline package from MELPA and Emacs fails to
> compile the package with this error:
>
>     x:/pathto/.emacs.d/elpa/powerline-20210428.1229/powerline.el:
>     Error: List contains a loop ("22", . #0)
>     Compilation finished.
>
> How can I get more info about the error from the compiler?  Currently
> Emacs tries to compile the package each time it starts (and fails) and
> that makes the start slower.
>
> TIA for any hint.
>
> Best, Arash
>
> Footnotes:
> [1]  emacs-repository-version is 8b7495a722a57071cb2a978665f95f8227db2863

Hi Arash,

if the compiler crashes I guess the next step is to debug it.  But
before doing that would be nice to isolate what's the function that is
causing the issue and create a reproducer.

Thanks

  Andrea

PS you can work around the issue of the startup adding powerline.el to
`native-comp-deferred-compilation-deny-list'.